Debian Bug report logs - #613300
RFP: fuse4bsd -- Filesystem in USErspace library (BSD version)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Robert Millan <rmh@debian.org>

Date: Sun, 13 Feb 2011 22:33:01 UTC

Severity: wishlist

Fixed in versions fuse4bsd/0.3.9~pre1.20080208-1, fuse4bsd/0.3.9~pre1.20080208-3

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, abe@debian.org, wnpp@debian.org:
Bug#613300; Package wnpp. (Sun, 13 Feb 2011 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, abe@debian.org, wnpp@debian.org. (Sun, 13 Feb 2011 22:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: fuse4bsd -- Filesystem in USErspace library (BSD version)
Date: Sun, 13 Feb 2011 23:31:19 +0100
Package: wnpp
Severity: wishlist

* Package name    : fuse4bsd
* URL             : http://fuse4bsd.creo.hu/
* License         : BSD
  Description     : Filesystem in USErspace library (BSD version)

FUSE for BSD kernels.  Useful to provide FUSE support on GNU/kFreeBSD.

This library requires porting work.  Axel Beckert has already made
some progress:

  http://lists.debian.org/debian-bsd/2010/08/msg00035.html

Additionally, FreeBSD ports collection contains a few patches
(necessary to build fuse4bsd for recent kernels):

  http://www.freebsd.org/cgi/cvsweb.cgi/ports/sysutils/fusefs-kmod/files/
  http://www.freebsd.org/cgi/cvsweb.cgi/ports/sysutils/fusefs-libs/files/




Added indication that bug 613300 blocks 613119 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 22:45:13 GMT) Full text and rfc822 format available.

Added indication that bug 613300 blocks 613289 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 22:45:15 GMT) Full text and rfc822 format available.

Removed indication that bug 613300 blocks 613289 Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 14 Mar 2011 09:30:11 GMT) Full text and rfc822 format available.

Added indication that bug 613300 blocks 618311 Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 14 Mar 2011 09:30:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#613300; Package wnpp. (Mon, 06 Jun 2011 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 Jun 2011 16:27:02 GMT) Full text and rfc822 format available.

Message #18 received at 613300@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 613300@bugs.debian.org, Axel Beckert <abe@debian.org>
Subject: preliminar fuse4bsd package available, PLEASE TEST
Date: Mon, 6 Jun 2011 18:25:05 +0200
http://people.debian.org/~rmh/fuse/

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#613300; Package wnpp. (Mon, 06 Jun 2011 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 Jun 2011 23:48:03 GMT) Full text and rfc822 format available.

Message #23 received at 613300@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 613300@bugs.debian.org
Subject: Re: preliminar fuse4bsd package available, PLEASE TEST
Date: Tue, 7 Jun 2011 01:44:34 +0200
Hi Robert,

thanks for your work!

Robert Millan wrote:
> http://people.debian.org/~rmh/fuse/

To help to fix all the bugs it blocks, it should at least provide
fuse-utils (or even make a dummy package as some packages depend on a
versioned fuse-utils like e.g. sshfs) and provide the same interface
(i.e. /usr/bin/fusermount and /sbin/mount.fuse). I suspect we'll
probably need wrapper scripts to provide these interfaces.

Will have a closer look at it later, when my kfreebsd box is back
online. (Just came back from LUG-Camp.)

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#613300; Package wnpp. (Tue, 07 Jun 2011 12:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Jun 2011 12:27:03 GMT) Full text and rfc822 format available.

Message #28 received at 613300@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Axel Beckert <abe@debian.org>
Cc: 613300@bugs.debian.org
Subject: Re: preliminar fuse4bsd package available, PLEASE TEST
Date: Tue, 7 Jun 2011 14:24:15 +0200
2011/6/7 Axel Beckert <abe@debian.org>:
> To help to fix all the bugs it blocks, it should at least provide
> fuse-utils (or even make a dummy package as some packages depend on a
> versioned fuse-utils like e.g. sshfs) and provide the same interface
> (i.e. /usr/bin/fusermount and /sbin/mount.fuse). I suspect we'll
> probably need wrapper scripts to provide these interfaces.

We could have a fuse4bsd source package, then a fuse-utils
binary with the userland utility (mount.fusefs), and another
binary for the kfreebsd module.

The latter will have to be versioned (e.g. fusefs-kmod-8.2-1-amd64)
unless/until someone comes up with a better way (port dkms?).

-- 
Robert Millan




Added blocking bug(s) of 613300: 630509 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 14 Jun 2011 16:33:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 613300: 594183 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 25 Jun 2011 18:39:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 613300: 631657 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 26 Jun 2011 12:59:43 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 16 Jul 2011 07:21:05 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sat, 16 Jul 2011 07:21:05 GMT) Full text and rfc822 format available.

Message #39 received at 613300-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 613300-close@bugs.debian.org
Subject: Bug#613300: fixed in fuse4bsd 0.3.9~pre1.20080208-1
Date: Sat, 16 Jul 2011 07:17:08 +0000
Source: fuse4bsd
Source-Version: 0.3.9~pre1.20080208-1

We believe that the bug you reported is fixed in the latest version of
fuse4bsd, which is due to be installed in the Debian FTP archive:

fuse-dkms_0.3.9~pre1.20080208-1_all.deb
  to main/f/fuse4bsd/fuse-dkms_0.3.9~pre1.20080208-1_all.deb
fuse4bsd_0.3.9~pre1.20080208-1.debian.tar.gz
  to main/f/fuse4bsd/fuse4bsd_0.3.9~pre1.20080208-1.debian.tar.gz
fuse4bsd_0.3.9~pre1.20080208-1.dsc
  to main/f/fuse4bsd/fuse4bsd_0.3.9~pre1.20080208-1.dsc
fuse4bsd_0.3.9~pre1.20080208-1_kfreebsd-amd64.deb
  to main/f/fuse4bsd/fuse4bsd_0.3.9~pre1.20080208-1_kfreebsd-amd64.deb
fuse4bsd_0.3.9~pre1.20080208.orig.tar.gz
  to main/f/fuse4bsd/fuse4bsd_0.3.9~pre1.20080208.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613300@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated fuse4bsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Jul 2011 17:53:05 +0200
Source: fuse4bsd
Binary: fuse4bsd fuse-dkms
Architecture: source kfreebsd-amd64 all
Version: 0.3.9~pre1.20080208-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 fuse-dkms  - FUSE module for kFreeBSD
 fuse4bsd   - Filesystem in USErspace (utilities)
Closes: 613300
Changes: 
 fuse4bsd (0.3.9~pre1.20080208-1) unstable; urgency=low
 .
   * Initial release. (Closes: #613300)
Checksums-Sha1: 
 88581aa617a2dbbe71fcd33eea057a6922dddb52 1242 fuse4bsd_0.3.9~pre1.20080208-1.dsc
 6debd0394f291954c4b0f629e02c34346c3db13e 115468 fuse4bsd_0.3.9~pre1.20080208.orig.tar.gz
 77a6e1b2352cdf9d19da46eea6f4d6d4874bf5e1 10671 fuse4bsd_0.3.9~pre1.20080208-1.debian.tar.gz
 f8c531c38440b848599ac673553e77239d292b15 15088 fuse4bsd_0.3.9~pre1.20080208-1_kfreebsd-amd64.deb
 058b82775142b397c19a6ac25dbcde20d2b764e2 70996 fuse-dkms_0.3.9~pre1.20080208-1_all.deb
Checksums-Sha256: 
 eb33e9d1be1ee641b4a760f840957af5dce1479af91a495d7c46df251e3fe253 1242 fuse4bsd_0.3.9~pre1.20080208-1.dsc
 92fabd67e97e5941a6ae85f4c43292f8182648ce99dc1acae10dda5ff73067e5 115468 fuse4bsd_0.3.9~pre1.20080208.orig.tar.gz
 4ec0c1bd3339bc847275640efbe90ff47fb0bcf0fd7b228a6ee011182cbada6d 10671 fuse4bsd_0.3.9~pre1.20080208-1.debian.tar.gz
 c98b221dfd9cfcb25d57d19abe8c8ed49c38466b6da3f6ce2e8a9349061bdab2 15088 fuse4bsd_0.3.9~pre1.20080208-1_kfreebsd-amd64.deb
 be700910fe3558bb4831bbd7e0c0e9f01c6184a14f2de0d2bf10e226f9eb21fe 70996 fuse-dkms_0.3.9~pre1.20080208-1_all.deb
Files: 
 76d573f6fef34bad8001ad17d4531836 1242 libs optional fuse4bsd_0.3.9~pre1.20080208-1.dsc
 dfe24169c2cdde3821e55068f08dc6f5 115468 libs optional fuse4bsd_0.3.9~pre1.20080208.orig.tar.gz
 330910dc164a80c641d4ab1464b51b2f 10671 libs optional fuse4bsd_0.3.9~pre1.20080208-1.debian.tar.gz
 14edc2b5ed3adc7a1f4b3a83c02bda5d 15088 utils optional fuse4bsd_0.3.9~pre1.20080208-1_kfreebsd-amd64.deb
 c4fb485108b86f86c694a22ca743f178 70996 libs optional fuse-dkms_0.3.9~pre1.20080208-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4gZkoACgkQC19io6rUCv/2JgCeKM3RAjS6w1HMAPRtI5r5f3xX
3LEAn1Y6rlKDp1tAOwPSeNZ9EYIc+6Y4
=yKm0
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 16 Jul 2011 07:21:07 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sat, 16 Jul 2011 07:21:07 GMT) Full text and rfc822 format available.

Message #44 received at 613300-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 613300-close@bugs.debian.org
Subject: Bug#613300: fixed in fuse4bsd 0.3.9~pre1.20080208-3
Date: Sat, 16 Jul 2011 07:17:27 +0000
Source: fuse4bsd
Source-Version: 0.3.9~pre1.20080208-3

We believe that the bug you reported is fixed in the latest version of
fuse4bsd, which is due to be installed in the Debian FTP archive:

fuse4bsd-dkms_0.3.9~pre1.20080208-3_all.deb
  to main/f/fuse4bsd/fuse4bsd-dkms_0.3.9~pre1.20080208-3_all.deb
fuse4bsd_0.3.9~pre1.20080208-3.debian.tar.gz
  to main/f/fuse4bsd/fuse4bsd_0.3.9~pre1.20080208-3.debian.tar.gz
fuse4bsd_0.3.9~pre1.20080208-3.dsc
  to main/f/fuse4bsd/fuse4bsd_0.3.9~pre1.20080208-3.dsc
fuse4bsd_0.3.9~pre1.20080208-3_kfreebsd-amd64.deb
  to main/f/fuse4bsd/fuse4bsd_0.3.9~pre1.20080208-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613300@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated fuse4bsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Jul 2011 20:49:35 +0200
Source: fuse4bsd
Binary: fuse4bsd fuse4bsd-dkms
Architecture: source kfreebsd-amd64 all
Version: 0.3.9~pre1.20080208-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 fuse4bsd   - Filesystem in USErspace (utilities)
 fuse4bsd-dkms - FUSE module for kFreeBSD
Closes: 613300
Changes: 
 fuse4bsd (0.3.9~pre1.20080208-3) unstable; urgency=low
 .
   * Fix package name in debian/rules and debian/fuse4bsd-dkms.dkms.
 .
 fuse4bsd (0.3.9~pre1.20080208-2) unstable; urgency=low
 .
   * Rename fuse-dkms to fuse4bsd-dkms to avoid package name collisions.
 .
 fuse4bsd (0.3.9~pre1.20080208-1) unstable; urgency=low
 .
   * Initial release. (Closes: #613300)
Checksums-Sha1: 
 cc0ca4227dc227291dc7166ceb4dd8c2da065b7f 1246 fuse4bsd_0.3.9~pre1.20080208-3.dsc
 2162e21105ae7f59e17e34fa37f1bc06519e5c5f 10834 fuse4bsd_0.3.9~pre1.20080208-3.debian.tar.gz
 c2615068c1f13d486ed5b3be8f67b3d74d3a954f 15200 fuse4bsd_0.3.9~pre1.20080208-3_kfreebsd-amd64.deb
 0557c3cdc999fa3c2eee4e6e363520998b06bf59 72084 fuse4bsd-dkms_0.3.9~pre1.20080208-3_all.deb
Checksums-Sha256: 
 00cf1755a6e1e7c34accfe75d5f44311a8993543c36d5a40ff819cf314a3d376 1246 fuse4bsd_0.3.9~pre1.20080208-3.dsc
 ebb2264bfe0bc09f0c85fc59ba7f4edcb746e40a677172e2369553218a0d4553 10834 fuse4bsd_0.3.9~pre1.20080208-3.debian.tar.gz
 54584f9e99c88c4ae9704d2f3b3d488fb27953600476d025992fa56014e3af12 15200 fuse4bsd_0.3.9~pre1.20080208-3_kfreebsd-amd64.deb
 8f965845fdfa8854d4976c38bea9d66b4ce64ac2603f749ecd5f601ab27a5074 72084 fuse4bsd-dkms_0.3.9~pre1.20080208-3_all.deb
Files: 
 5ff5b421e3bb6124b7158a5bcfac6c5b 1246 libs optional fuse4bsd_0.3.9~pre1.20080208-3.dsc
 cd0e0e60959dd6740998a1bf4e38b8a8 10834 libs optional fuse4bsd_0.3.9~pre1.20080208-3.debian.tar.gz
 253159a60d9792946bf67338fd6cbe85 15200 utils optional fuse4bsd_0.3.9~pre1.20080208-3_kfreebsd-amd64.deb
 4e04500a04fea14cc29c4459803e3d41 72084 libs optional fuse4bsd-dkms_0.3.9~pre1.20080208-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4gjOcACgkQC19io6rUCv9UrACeOQJmpiJPx6fc8KQWh33uQac+
hucAn3Qfj3M/aNNFVgBy+ywpeV5yvJPo
=7jZI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Aug 2011 07:31:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:06:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.